# dolfinx.pkgconfig

Tool for querying pkg-config files.

This module exists solely to extract the compilation and linking information saved in the dolfinx.pc pkg-config file, needed for JIT compilation.

Functions

`_pkgconfig_query`(s) |
`exists`(package) | Test for the existence of a pkg-config file for a named package.
`parse`(package) | Return a dict containing compile-time definitions.

dolfinx.pkgconfig.exists(package) → bool

  Test for the existence of a pkg-config file for a named package.

dolfinx.pkgconfig.parse(package)

  Return a dict containing compile-time definitions.